%define major   1
%define libxres %mklibname xres %{major}

Name: libxres
Summary:  X Resource Information Extension Library
Version: 1.0.6
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXres-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Resource Information Extension Library

#-----------------------------------------------------------

%package -n %{libxres}
Summary:  X Resource Information Extension Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxres}
X Resource Information Extension Library

%files -n %{libxres}
%defattr(-,root,root)
%{_libdir}/libXRes.so.%{major}*

#-----------------------------------------------------------

%package -n %{libxres}-devel
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxres} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libxres-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxres}-devel
Development files for %{name}

%pre -n %{libxres}-devel
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{libxres}-devel
%defattr(-,root,root)
%{_libdir}/libXRes.so
%{_libdir}/pkgconfig/xres.pc
%{_includedir}/X11/extensions/XRes.h
%{_mandir}/man3/XRes*

#-----------------------------------------------------------

%package -n %{libxres}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxres}-devel = %{version}
Provides: libxres-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxres}-static-devel
Static development files for %{name}

%files -n %{libxres}-static-devel
%defattr(-,root,root)
%{_libdir}/libXRes.a

#-----------------------------------------------------------

%prep
%setup -q -n libXres-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete



%changelog

* Fri Mar 09 2012 tv <tv> 1.0.6-1.mga2
+ Revision: 222202
- new release

* Mon Nov 21 2011 dmorgan <dmorgan> 1.0.5-2.mga2
+ Revision: 170186
- Remove .la files

* Tue Jan 11 2011 pterjan <pterjan> 1.0.5-1.mga1
+ Revision: 5595
- Drop obsolete scriptlets
- imported package libxres

